Update an AI agent
PUT
/v1/agents/{name}
const url = 'https://example.com/v1/agents/example';const options = { method: 'PUT', headers: { 'X-Tenant-ID': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', 'Content-Type': 'application/json' }, body: '{"display_name":"example","instructions":"example","use_default_provider":true,"provider_type":"example","model":"example","model_hint":"fast","config":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/agents/example \ --header 'Content-Type: application/json' \ --header 'X-Tenant-ID: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "display_name": "example", "instructions": "example", "use_default_provider": true, "provider_type": "example", "model": "example", "model_hint": "fast", "config": {} }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” name
required
string
Header Parameters
Section titled “Header Parameters ” X-Tenant-ID
required
string format: uuid
Tenant identifier. Must match the tenant associated with the credential. Returns 403 tenant_mismatch if the credential and header belong to different tenants.
Request Body required
Section titled “Request Body required ” Media type application/json
object
display_name
required
string
instructions
string
use_default_provider
required
boolean
provider_type
string
model
string
model_hint
string
config
required
object
key
additional properties
any
Responses
Section titled “ Responses ”OK
Media type application/json
object
id
required
string format: uuid
name
required
string
display_name
required
string
type
required
string
instructions
string
use_default_provider
required
boolean
provider_type
string
model
string
model_hint
string
config
required
object
key
additional properties
any
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "type": "reviewer", "model_hint": "fast"}Forbidden
Media type application/json
object
code
required
Machine-readable error code (e.g. “not_found”, “tenant_mismatch”).
string
message
required
Human-readable description of the error.
string
details
Optional additional context about the error.
object
key
additional properties
any
notices
Policy notices from determining Cedar rules, if applicable.
Array<string>
Example generated
{ "code": "example", "message": "example", "details": {}, "notices": [ "example" ]}Not found
Media type application/json
object
code
required
Machine-readable error code (e.g. “not_found”, “tenant_mismatch”).
string
message
required
Human-readable description of the error.
string
details
Optional additional context about the error.
object
key
additional properties
any
notices
Policy notices from determining Cedar rules, if applicable.
Array<string>
Example generated
{ "code": "example", "message": "example", "details": {}, "notices": [ "example" ]}